Summary:      platform independent library for scheme
Name:         slib
Version:      3a1
Release:      5.fc4
License:      SLIB
Group:        Development/Languages
Provides:     slib
BuildArch:    noarch
Source0:      ftp://swissnet.ai.mit.edu/pub/scm/slib%{version}.zip
Source1:      slibcat
URL:          http://swissnet.ai.mit.edu/~jaffer/SLIB.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Prereq:       /sbin/install-info

%description
"SLIB" is a portable library for the programming language Scheme.
It provides a platform independent framework for using "packages" of
Scheme procedures and syntax.  As distributed, SLIB contains useful
packages for all Scheme implementations.  Its catalog can be
transparently extended to accomodate packages specific to a site,
implementation, user, or directory.

%prep
%setup -q -n %{name}
for i in *; do
  sed -e "s,/usr/local/lib,%{_datadir},g" \
      -e "s,/usr/lib,%{_datadir},g" \
      -e "s,/usr/local,/usr,g" < "${i}" > "${i}.tmp"
  mv "${i}.tmp" "${i}"
done

%build
gzip -9nf slib.info

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/slib
cp *.scm *.init *.xyz *.txt ${RPM_BUILD_ROOT}%{_datadir}/slib
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
install -m644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/slib/slibcat
install -m644 slib.info.gz ${RPM_BUILD_ROOT}%{_infodir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/slib.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/slib.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%dir %{_datadir}/slib
%doc ANNOUNCE README COPYING FAQ ChangeLog
%{_datadir}/slib/*
%{_infodir}/slib.info.gz

%changelog
* Mon Mar 13 2006 Miroslav Lichvar <mlichvar@redhat.com> 3a1-5.fc4
- fix slibcat file (#184229)
- install info, remove html
- spec cleanup

* Thu Sep 12 2005 Jindrich Novy <jnovy@redhat.com> 3a1-4.fc4
- regenerate slibcat to remove all links to umb-scheme
- don't ship slib.spec from the upstream tarball
- replace bogus links to /usr/lib
- don't ship unneeded files in slib directory
- add slib html documentation

* Tue Sep  6 2005 Jindrich Novy <jnovy@redhat.com> 3a1-3.fc4
- use _datadir instead of /usr/local/lib and don't use
  /usr/local prefix (#167490)

* Wed Dec  8 2004 Jindrich Novy <jnovy@redhat.com> 3a1-2
- remove symlinks creation for guile, it's done by guile itself

* Wed Oct  6 2004 Jindrich Novy <jnovy@redhat.com> 3a1-1
- new package
- original spec file from R. J. Meier and Radey Shouman
